# UpdateNLBListenerAttribute - UpdateNLBListenerAttribute

## Overview

UpdateNLBListenerAttribute






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `UpdateNLBListenerAttribute`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.scloudsg.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Region** | string | Region. See [Region and Zone List](/docs/api/summary/regionlist) |**Yes**|
| **ProjectId** | string | Project ID. Leave it blank for the default project. Sub-accounts must fill in. Please refer to the [GetProjectList API](/docs/api/summary/get_project_list) |No|
| **NLBId** | string | ID of the Load Balancing Instance |**Yes**|
| **ListenerId** | string | ID of the Load Balancing Instance |**Yes**|
| **Name** | string | Name of the listener |No|
| **Remark** | string | Remarks of the Listener |No|
| **StartPort** | int | Starting port of the port range. Specified value range: [1-65535]. Default value is 1, only full port mode supports modification. |No|
| **EndPort** | int | End port of the port range. Limited value: [1-65535]. The value is not less than the starting port. The default value is 65535, only the full port mode supports modification. |No|
| **Scheduler** | string | Load Balancing Algorithm <br />Limited values: 'RoundRobin'/'SourceHash'/'LeastConn'/'WeightLeastConn'/'WeightRoundRobin' Default value 'RoundRobin'. |No|
| **StickinessTimeout** | int | Session keep-alive timeout. Unit: seconds<br />Explanation:<br />Limited value: [60-900], 0 means session keep-alive is not enabled<br />Default value 60 |No|
| **ForwardSrcIPMethod** | string | Method of delivering source IP. Limited values: "" / "None" / "Toa". Empty string and None mean off. |No|
| **HealthCheckConfig.Enabled** | boolean | Whether to enable the health check function. Temporarily does not support closing, default is true. |No|
| **HealthCheckConfig.Port** | int | Health Check Probe Port Description: Limited value range: [1-65535]<br /> |No|
| **HealthCheckConfig.Type** | string | Health Check Method Limited Values: "Port"/"UDP"/"Ping" Default Value: "Port"  |No|
| **HealthCheckConfig.ReqMsg** | string | Request string for UDP check mode |No|
| **HealthCheckConfig.ResMsg** | string | Expected response string for "UDP" check mode |No|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|




## Example

### Request Example
    
```
https://api.scloudsg.com/?Action=UpdateNLBListenerAttribute
&Region=cn-zj
&Zone=cn-zj-01
&ProjectId=lYIktcFh
&NLBId=WSAPopZX
&ListenerId=FeUBtqTg
&Name=BkVDOGZZ
&Remark=zjRVFQVu
&Scheduler=RgCTjVdZ
&StickinessTimeout=6
&HealthCheckConfig=pSNguzLp
&StartPort=9
&EndPort=4
&HealthCheckConfig.Port=1
&HealthCheckConfig.Type=wvhRZsuN
&HealthCheckConfig.Interval=3
&HealthCheckConfig.MinSuccess=7
&HealthCheckConfig.MaxFail=3
&HealthCheckConfig.ReqMsg=tEjwkHxq
&HealthCheckConfig.ResMsg=AJXQCEfb
&ForwardSrcIPMethod=ZigBubeF
```

### Response Example
    
```json
{
  "Action": "UpdateNLBListenerAttributeResponse",
  "RetCode": 0
}
```





